Details
  • Last release: 18.0.0.2
  • 1 week ago

Your MediaCenter for HDStation

Dependencies
  • HD_Station >= 4.0.0
  • HD_Station < 6.0.0

QTS
Requires QTS 4.4.0 or later

Models
TS-NASX86 64bits

Please help us by donation !
  • 18.0.0.1 Released 1 week ago ( 01-12-2018 )
    Dependencies:
    • HD_Station >= 4.0.0
    • HD_Station < 6.0.0